Skip to main content

Retrieve calendar weeks

POST 

/dateandtime/calendarweek

This endpoint can be used to return varied calendar-week information according to the data passed in the request.

Request​

Header Parameters

    ipaas string

Bodyrequired

    datestring

    The date parameter provides the week number of the year relative to the date, along with the starting and ending week.

    Example: 20.01.2022
    weekNumbernumber

    The weekNumber parameter provides the workingDate of that week, along with the starting and ending day of the week.

    Example: 5
    yearnumber

    The year parameter provides year of the given weekNumber.

    Example: 2023
    unixTimestampnumber

    The date in unixTimestamp format.

    Example: 1642918727
    dateFormatstring

    Format of provided date.

    Example: DD.MM.YYYY
    outputFormatstring

    Format of the output date

    Example: DD.MM.YYYY

Responses​

Success

Schema
    workingDatestringrequired
    weekNumbernumberrequired
    firstDayOfWeekstringrequired
    lastDayOfWeekstringrequired